% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kumaraswamy.R
\name{EstMLEKumBin}
\alias{EstMLEKumBin}
\title{Estimating the shape parameters a and b and iterations for  Kumaraswamy Binomial Distributon}
\source{

}
\usage{
mle2(EstMLEKumBin,start=list(a=...,b=...,it=...),data=list(x=....,freq=....),...)
}
\arguments{
\item{x}{vector of binomial random variables}

\item{freq}{vector of frequencies}

\item{start}{initial values for shape parameters \code{a} and \code{b}, and
converge iterations \code{it} in a list format}

\item{data}{data in the form of a list for binomial random variables \code{x}
corresponding frequencies \code{freq}}

\item{....}{other inputs inherited from mle2 function}
}
\value{
\code{EstMLEKumBin} here is used as a input parameter for the \code{mle2} function of
\pkg{bbmle} package therefore output is of class of mle2.
}
\description{
The function will estimate the shape parameters using the maximum log likelihood method  for
the Kumaraswamy binomial distribution when the binomial random variables and
corresponding frequencies are given
}
\details{
\deqn{0 < a,b}
\deqn{x = 0,1,2,...}
\deqn{freq \ge 0}
\deqn{it > 0}

\strong{NOTE} : If input parameters are not in given domain conditions necessary
error messages will be provided to go further
}
\examples{
No.D.D=0:7     #assigning the random variables
Obs.fre.1=c(47,54,43,40,40,41,39,95)  #assigning the corresponding frequencies
#estimating the parameters using maximum log likelihood value and assigning it

parameters1=bbmle::mle2(EstMLEKumBin,start = list(a=10.1,b=1.1,it=1000),data = list(x=No.D.D,freq=Obs.fre.1))
bbmle::coef(parameters1)   #extracting the parameters

parameters2=bbmle::mle2(EstMLEKumBin,start = list(a=10.1,b=1.1,it=5000),data = list(x=No.D.D,freq=Obs.fre.1))
bbmle::coef(parameters2)   #extracting the parameters

parameters3=bbmle::mle2(EstMLEKumBin,start = list(a=10.1,b=1.1,it=10000),data = list(x=No.D.D,freq=Obs.fre.1))
bbmle::coef(parameters3)   #extracting the parameters

parameters4=bbmle::mle2(EstMLEKumBin,start = list(a=10.1,b=1.1,it=20000),data = list(x=No.D.D,freq=Obs.fre.1))
bbmle::coef(parameters4)   #extracting the parameters

}
\references{
Li, X. H., Huang, Y. Y., & Zhao, X. Y. (2011). The Kumaraswamy Binomial Distribution. Chinese Journal
of Applied Probability and Statistics, 27(5), 511-521.
}
\seealso{
\code{\link[bbmle]{mle2}}

\code{\link[bbmle]{mle2-class}}

or

\url{https://cran.r-project.org/web/packages/bbmle/bbmle.pdf}
}

